Bug 833203 - [abrt] eclipse-platform-4.2.0-0.22.I201205031800.fc17: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-4.2.0-0.22.I201205031800.fc17: Process /usr/lib/eclip...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:a27bb088dae6b3fde5a1c4765d4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 17:12 EDT by Max Beikirch
Modified: 2012-12-18 15:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 15:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: open_fds (8.95 KB, text/plain)
2012-06-18 17:12 EDT, Max Beikirch
no flags Details
File: dso_list (25.09 KB, text/plain)
2012-06-18 17:12 EDT, Max Beikirch
no flags Details
File: backtrace (209.18 KB, text/plain)
2012-06-18 17:12 EDT, Max Beikirch
no flags Details
File: maps (44.63 KB, text/plain)
2012-06-18 17:12 EDT, Max Beikirch
no flags Details

  None (edit)
Description Max Beikirch 2012-06-18 17:12:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        eclipse
executable:     /usr/lib/eclipse/eclipse
kernel:         3.4.0-1.fc17.i686
pid:            2990
pwd:            /home/max
time:           Mo 18 Jun 2012 22:48:03 CEST
uid:            1000
username:       max

backtrace:      Text file, 214203 bytes
dso_list:       Text file, 25697 bytes
maps:           Text file, 45705 bytes
open_fds:       Text file, 9164 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/max/2

comment:
:Did some refractoring, but I cannot remember which one (still trying to get familiar with eclipse). IDE did hang on "Initalizing refractoring" before the crash. 
:
:I did not try to reproduce the problem, as I do not remember which refractoring I was doing.

core_backtrace:
:741b026cb8260b7f9f82dbbdb072aa78a206633f 0x416 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:490fa96bb7af9fa68b40279c464069905853f93b 0x36df89 - libjvm.so -
:490fa96bb7af9fa68b40279c464069905853f93b 0x45d5bb - libjvm.so -
:490fa96bb7af9fa68b40279c464069905853f93b 0x376549 JVM_handle_linux_signal libjvm.so -
:490fa96bb7af9fa68b40279c464069905853f93b 0x36b5c3 - libjvm.so -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=max-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/max/keyring-59ndqr
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/max
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/max/.local/bin:/home/max/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/max
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1127
:LANG=de_DE.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/max
:SHLVL=1
:LOGNAME=max
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-0gbsFc5eb8,guid=01412b6a602bf0e2e7c46fbb00000047
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/max
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-max-jVrpPZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1131,unix/unix:/tmp/.ICE-unix/1131
:SSH_AUTH_SOCK=/run/user/max/keyring-59ndqr/ssh
:GPG_AGENT_INFO=/run/user/max/keyring-59ndqr/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/eclipse.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2990
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/lib/i386/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/lib/i386:

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14907                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14907                14907                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Jun 18 21:56:34 max-laptop yum[18026]: Erased: 1:eclipse-pde-4.2.0-0.22.I201205031800.fc17.i686
:Jun 18 21:59:29 max-laptop yum[18037]: Installed: eclipse-emf-2.8.0-0.7.e674bb28ad412fc9bc786f2f9b3c157eb2cbdae0.fc17.noarch
:Jun 18 21:59:34 max-laptop yum[18037]: Installed: eclipse-rse-3.3.1-1.fc17.noarch
:Jun 18 21:59:41 max-laptop yum[18037]: Installed: 1:eclipse-cdt-8.1.0-0.6.junom6.fc17.i686
:Jun 18 21:59:44 max-laptop yum[18037]: Installed: 1:eclipse-cdt-sdk-8.1.0-0.6.junom6.fc17.i686
:Jun 18 21:59:46 max-laptop yum[18037]: Installed: 1:eclipse-cdt-parsers-8.1.0-0.6.junom6.fc17.i686
:Jun 18 21:59:47 max-laptop yum[18037]: Installed: 1:eclipse-changelog-2.7.0-5.fc17.i686
:Jun 18 22:00:05 max-laptop yum[18037]: Installed: 1:eclipse-pde-4.2.0-0.22.I201205031800.fc17.i686
:Jun 18 22:00:05 max-laptop yum[18037]: Installed: eclipse-cmakeed-1.1.6-2.fc17.noarch
:Jun 18 22:48:10 max-laptop abrt[3079]: Saved core dump of pid 2990 (/usr/lib/eclipse/eclipse) to /var/spool/abrt/ccpp-2012-06-18-22:48:03-2990 (313430016 bytes)
Comment 1 Max Beikirch 2012-06-18 17:12:06 EDT
Created attachment 592750 [details]
File: open_fds
Comment 2 Max Beikirch 2012-06-18 17:12:12 EDT
Created attachment 592751 [details]
File: dso_list
Comment 3 Max Beikirch 2012-06-18 17:12:16 EDT
Created attachment 592752 [details]
File: backtrace
Comment 4 Max Beikirch 2012-06-18 17:12:19 EDT
Created attachment 592753 [details]
File: maps
Comment 5 Alexander Kurtakov 2012-07-06 09:24:31 EDT
Can you try with the latest update to 4.2 final?
If we dont' have a way to reproduce the crash there is not much we can do.
Comment 6 Alexander Kurtakov 2012-12-18 15:01:37 EST
Few months without reply. Closing.

Note You need to log in before you can comment on or make changes to this bug.